> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identity

> This endpoint allows you to retrieve identity details.



## OpenAPI

````yaml openapi.json get /identity
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /identity:
    get:
      tags:
        - Identity
      summary: Get identity
      description: This endpoint allows you to retrieve identity details.
      operationId: getIdentity
      parameters:
        - name: identity_id
          in: query
          required: true
          description: The identity ID to fetch details for
          schema:
            type: string
            example: 68bf2de7196a18d7bd165ffb
      responses:
        '200':
          description: Identity fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIdentityResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetIdentityResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Identity fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-08T20:18:48.483Z'
        data:
          type: object
          properties:
            is_active:
              type: boolean
              example: true
            id:
              type: string
              example: 68bf2de7196a18d7bd165ffb
            type:
              type: string
              enum:
                - bvn
                - nin
                - link
              example: bvn
            details:
              type: object
              description: Identity details based on type
              example:
                bvn: '22284621397'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````